package cn.skcks.matrix.v2.services.user;

import cn.skcks.matrix.v2.orm.mybatis.dynamic.model.User;
import com.github.pagehelper.PageInfo;

import javax.annotation.Nullable;

public interface UserService {
    PageInfo<User> getUsers(int page, int size);

    @Nullable
    User getUser(String account);

    boolean exist(String userName, String email);
    boolean exist(String userId);

    boolean add(User ...users);

    boolean add(User user);

    boolean update(User user);
}
